<div class="container mt-3">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div class="alert text-center" [ngClass]="status=='success'?'alert-success':'alert-danger'" *ngIf="message" [@fadeInOut]>
     {{message}}
  </div>
  <form #updateForm="ngForm" (ngSubmit)="onSubmit(updateForm)" class="col-8 mx-auto">
    <div class="form-group">
      <label for="name">Nombre</label>
      <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" class="form-control"
       [ngClass]="{'is-invalid':name.invalid && name.touched }" required>
      <div class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre no es válido</div>
    </div>
    <div class="form-group">
      <label for="surname">Apellidos</label>
      <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname" class="form-control">
    </div>
    <div class="form-group">
      <label for="email">E-Mail</label>
      <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
       [ngClass]="{'is-invalid':email.invalid && email.touched }" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
      <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El e-mail no es válido</div>
    </div>
    <div class="form-group">
      <label for="password">Contraseña</label>
      <input type="password" id="password" name="password" #password="ngModel" [(ngModel)]="user.password" pattern=".{5,}"
       placeholder="(5 caracteres mínimo)" class="form-control" [ngClass]="{'is-invalid':password.invalid && password.touched }" required>
      <div class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">La contraseña no es válida</div>
    </div>
    <div class="form-group">
      <input type="submit" value="Guardar" class="btn btn-success" [disabled]="updateForm.form.invalid">
    </div>
  </form>
</div>
